SystemOrganization addCategory: #'JiffyCard-Store'!

ALApplication subclass: #JCExampleApplication
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JiffyCard-Store'!

!JCExampleApplication methodsFor: 'as yet unclassified' stamp: 'chc 12/29/2017 00:55'!
initializeLocator
	locator 
		at: ALPath root 
		put: JCExamplePage new asResource! !

ALAsyncExample subclass: #JCCallAnswer
	instanceVariableNames: 'decoration owner'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JiffyCard-Store'!

!JCCallAnswer commentStamp: 'chc 1/17/2018 13:27' prior: 0!
This obviates an earlier renderable. To obviate the whole page put the link (i.e. html a naviate: [ self call: aRenderable  new ]; with: 'Call Me') in the root renderable. To obviate only a window portion in a page put the link inside that window renderable. !

!JCCallAnswer methodsFor: 'decorations' stamp: 'chc 12/31/2017 11:18'!
addDecoration: newDecoration
	self decoration: newDecoration! !

!JCCallAnswer methodsFor: 'call/answer' stamp: 'chc 1/1/2018 09:25'!
answer
	self owner decoration: nil! !

!JCCallAnswer methodsFor: 'call/answer' stamp: 'chc 1/1/2018 09:20'!
call: anObject
	|dec|
	anObject owner: self.
	dec := JCDelegation new delegate: anObject. 
	self addDecoration: dec! !

!JCCallAnswer methodsFor: 'accessing' stamp: 'chc 12/31/2017 11:31'!
decoration
	^ decoration! !

!JCCallAnswer methodsFor: 'accessing' stamp: 'chc 12/30/2017 11:55'!
decoration: anObject
	decoration := anObject! !

!JCCallAnswer methodsFor: 'accessing' stamp: 'chc 12/31/2017 11:31'!
owner
	^ owner! !

!JCCallAnswer methodsFor: 'accessing' stamp: 'chc 12/31/2017 11:32'!
owner: anObject
	owner := anObject! !

!JCCallAnswer methodsFor: 'as yet unclassified' stamp: 'chc 12/30/2017 11:37'!
renderOn: anObject
	(decoration isNil) 
		ifTrue: [ self renderContentOn: anObject ]
		ifFalse: [ decoration renderContentOn: anObject ]! !

JCCallAnswer subclass: #JCCounterCard
	instanceVariableNames: 'countmodel counterinput counterwindow'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JiffyCard-Store'!

!JCCounterCard methodsFor: 'as yet unclassified' stamp: 'chc 12/30/2017 11:49'!
initialize
	super initialize.
	countmodel := JCCounterModel new.
	counterinput := JCInputWindow new countermodel: countmodel.
	counterwindow := JCOutputWindow new countermodel: countmodel! !

!JCCounterCard methodsFor: 'as yet unclassified' stamp: 'chc 12/30/2017 11:45'!
renderContentOn: html
	html div id: 'ci'; with: counterinput.
	html div id: 'cw'; with: counterwindow! !

JCCallAnswer subclass: #JCInputWindow
	instanceVariableNames: 'countermodel'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JiffyCard-Store'!

!JCInputWindow methodsFor: 'as yet unclassified' stamp: 'chc 2/16/2018 11:15'!
aji

	^WAStoreItem new title: 'Aji'! !

!JCInputWindow methodsFor: 'accessing' stamp: 'chc 12/28/2017 10:11'!
countermodel

	^ countermodel! !

!JCInputWindow methodsFor: 'accessing' stamp: 'chc 12/28/2017 10:11'!
countermodel: anObject

	countermodel := anObject! !

!JCInputWindow methodsFor: 'as yet unclassified' stamp: 'chc 12/28/2017 10:11'!
initialize
	super initialize! !

!JCInputWindow methodsFor: 'as yet unclassified' stamp: 'chc 2/16/2018 11:15'!
renderContentOn: html 
		html a navigate: [ self call: (JCTempWindow new sushiselector: self aji) ]; with: 'Aji'.
		html br.
		"html a 
		class: 'action';
		navigate: [ countermodel addOne ]; 
		with: '++'."! !

JCCallAnswer subclass: #JCOutputWindow
	instanceVariableNames: 'countermodel'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JiffyCard-Store'!

!JCOutputWindow methodsFor: 'accessing' stamp: 'chc 12/28/2017 09:44'!
countermodel

	^ countermodel! !

!JCOutputWindow methodsFor: 'accessing' stamp: 'chc 12/28/2017 09:44'!
countermodel: anObject

	countermodel := anObject! !

!JCOutputWindow methodsFor: 'as yet unclassified' stamp: 'chc 12/28/2017 09:38'!
initialize
	super initialize! !

!JCOutputWindow methodsFor: 'as yet unclassified' stamp: 'chc 12/28/2017 09:44'!
renderContentOn: html 
	html p: countermodel count printString! !

JCCallAnswer subclass: #JCTempWindow
	instanceVariableNames: 'sushiselector'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JiffyCard-Store'!

!JCTempWindow methodsFor: 'as yet unclassified' stamp: 'chc 12/31/2017 11:10'!
initialize
	super initialize! !

!JCTempWindow methodsFor: 'as yet unclassified' stamp: 'chc 2/16/2018 11:18'!
renderContentOn: html 
		html a navigate: [ self answer ]; with: 'Back'.
		html br. 
		html p: sushiselector asString.
		html br. 
		html a navigate: [ self owner countermodel count add: sushiselector ]; with: 'Add'.
		html p: 'Temp Window'	! !

!JCTempWindow methodsFor: 'accessing' stamp: 'chc 2/12/2018 11:35'!
sushiselector

	^ sushiselector! !

!JCTempWindow methodsFor: 'accessing' stamp: 'chc 2/12/2018 11:35'!
sushiselector: anObject

	sushiselector := anObject! !

Object subclass: #JCCounterModel
	instanceVariableNames: 'count'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JiffyCard-Store'!

!JCCounterModel methodsFor: 'as yet unclassified' stamp: 'chc 12/28/2017 09:41'!
addOne
	count := count + 1! !

!JCCounterModel methodsFor: 'as yet unclassified' stamp: 'chc 2/12/2018 11:36'!
aji
	count := count + 1! !

!JCCounterModel methodsFor: 'accessing' stamp: 'chc 12/28/2017 09:48'!
count

	^ count! !

!JCCounterModel methodsFor: 'accessing' stamp: 'chc 12/28/2017 09:48'!
count: anObject

	count := anObject! !

!JCCounterModel methodsFor: 'as yet unclassified' stamp: 'chc 2/16/2018 11:17'!
initialize 
	count := OrderedCollection new! !

Object subclass: #JCExamplePage
	instanceVariableNames: 'current'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JiffyCard-Store'!

!JCExamplePage methodsFor: 'converting' stamp: 'chc 12/29/2017 00:56'!
asResource
	^ ALExampleResource component: self! !

!JCExamplePage methodsFor: 'initialize-release' stamp: 'chc 1/1/2018 09:33'!
initialize
	current := JCCounterCard new! !

!JCExamplePage methodsFor: 'rendering' stamp: 'chc 12/29/2017 01:01'!
renderBodyOn: html
	html div
		class: 'example';
		with: [current renderOn: html]! !

!JCExamplePage methodsFor: 'rendering' stamp: 'chc 12/29/2017 00:56'!
renderHtmlOn: html
	html html: 
		[html head: 
			[html title: 'Altitude Examples'.
			self renderStylesOn: html].
		html body: [ self renderBodyOn: html ] ]! !

!JCExamplePage methodsFor: 'rendering' stamp: 'chc 12/29/2017 00:56'!
renderJsonOn: json
	current renderJsonOn: json! !

!JCExamplePage methodsFor: 'rendering' stamp: 'chc 12/29/2017 00:56'!
renderStylesOn: html
	html style: [html text: self style].
	current renderStyleOn: html! !

!JCExamplePage methodsFor: 'rendering' stamp: 'chc 12/29/2017 00:56'!
style
	^ '
div.navbar {
    position: absolute;
    left: 0;
    top: 0;
    bottom: 0;
    width: 200px;
}

div.navbar li {
    list-style-type: none;
}

div.navbar a {
    text-decoration: none;
}

div.example {
    position: absolute;
    top: 0;
    right: 0;
    left: 200px;
    bottom: 0;
}

.example h1 {
  font-size: 36px;
}
'! !
